Bug 1670400 (CVE-2018-20175) - CVE-2018-20175 rdesktop: Denial of Service in mcs_recv_connect_response and mcs_parse_domain_params
Summary: CVE-2018-20175 rdesktop: Denial of Service in mcs_recv_connect_response and m...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2018-20175
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20190104,repor...
Depends On: 1670427
Blocks: 1667054
TreeView+ depends on / blocked
 
Reported: 2019-01-29 13:36 UTC by Pedro Sampaio
Modified: 2019-06-08 23:49 UTC (History)
1 user (show)

Fixed In Version: rdesktop 1.8.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-18 06:37:22 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2019-01-29 13:36:14 UTC
A flaw was found in rdesktop before 1.8.4. A issue in fmcs_recv_connect_response and mcs_parse_domain_params functions may lead to denial of service.

Upstream patch:

https://github.com/rdesktop/rdesktop/commit/766ebcf6f23ccfe8323ac10242ae6e127d4505d2
https://github.com/rdesktop/rdesktop/releases/tag/v1.8.4

Comment 1 Pedro Sampaio 2019-01-29 14:03:35 UTC
Created rdesktop tracking bugs for this issue:

Affects: fedora-all [bug 1670427]

Comment 2 Huzaifa S. Sidhpurwala 2019-02-18 06:37:22 UTC
Note:

You need to connect to a malicious or a MITM RDP server in order to trigger this flaw. The malicious RDP server can cause the client to crash.


Note You need to log in before you can comment on or make changes to this bug.